## xilinx-vcu-ctrl 2020.2

=== Makefile ===
CFLAGS+=-O3
CFLAGS+=-g0
SCM_REV:=-D'SCM_REV="$(shell git rev-parse HEAD 2> /dev/null || echo 0)"'
SCM_BRANCH=-D'SCM_BRANCH="$(shell git rev-parse --abbrev-ref HEAD 2> /dev/null || echo unknown)"'

REQUIRED_MAKE_VERSION:=4.0
ifneq ($(REQUIRED_MAKE_VERSION), $(firstword $(sort $(MAKE_VERSION) $(REQUIRED_MAKE_VERSION))))
  $(error Bad 'make' version $(MAKE_VERSION), required a version $(REQUIRED_MAKE_VERSION) or higher)
endif

include config.mk
-include delivery.mk

DELIVERY_BUILD_NUMBER?=-D'DELIVERY_BUILD_NUMBER=0'
DELIVERY_SCM_REV?=-D'DELIVERY_SCM_REV="unknown"'
DELIVERY_DATE?=-D'DELIVERY_DATE="unknown"'

# Cross build support
CROSS_COMPILE?=
CXX:=$(CROSS_COMPILE)g++
CC:=$(CROSS_COMPILE)gcc
AS:=$(CROSS_COMPILE)as
AR:=$(CROSS_COMPILE)gcc-ar
NM:=$(CROSS_COMPILE)gcc-nm
LD:=$(CROSS_COMPILE)ld
OBJDUMP:=$(CROSS_COMPILE)objdump
OBJCOPY:=$(CROSS_COMPILE)objcopy
RANLIB:=$(CROSS_COMPILE)gcc-ranlib
STRIP:=$(CROSS_COMPILE)strip
SIZE:=$(CROSS_COMPILE)size

TARGET:=$(shell $(CC) -dumpmachine)

all: true_all

# Basic build rules and external variables
include ctrlsw_version.mk
include codec_defs.mk
include base.mk
-include compiler.mk

# Libraries
-include lib_fpga/project.mk
include lib_app/project.mk
-include lib_cfg_parsing/project.mk
-include lib_common/project.mk
-include lib_rtos/project.mk
-include lib_ip_ctrl/project.mk
-include lib_perfs/project.mk


BUILD_LIB_FBC=0
BUILD_EXE_FBC=0
BUILD_EXE_FBD=0

ifneq ($(ENABLE_ENCODER),0)
-include lib_common_enc/project.mk
-include lib_buf_mngt/project.mk
-include lib_rate_ctrl/project.mk
-include lib_bitstream/project.mk
-include lib_scheduler_enc/project.mk
-include lib_encode/project.mk
endif

ifneq ($(BUILD_LIB_FBC),0)
  -include lib_fbc_standalone/project.mk
endif

BUILD_LIB_COM_DEC=0
ifneq ($(ENABLE_DECODER),0)
  BUILD_LIB_COM_DEC=1
endif
ifneq ($(BUILD_LIB_COM_DEC),0)
  -include lib_common_dec/project.mk
endif

-include ref.mk

ifneq ($(ENABLE_DECODER),0)
  # ctrlsw_decoder
  -include lib_parsing/project.mk
  -include lib_scheduler_dec/project.mk
  -include lib_decode/project.mk
  include exe_decoder/project.mk
endif


ifneq ($(ENABLE_ENCODER),0)
  # ctrlsw_encoder
  -include lib_conv_yuv/project.mk
  include exe_encoder/project.mk
endif

ifneq ($(BUILD_EXE_FBC),0)
  # AL_Compress
  -include exe_compress/project.mk
endif
ifneq ($(BUILD_EXE_FBD),0)
  # AL_Decompress
  -include lib_fbd_standalone/project.mk
  -include exe_decompress/project.mk
endif




ifneq ($(ENABLE_PERF),0)
  # AL_PerfMonitor
  -include exe_perf_monitor/project.mk
endif

ifneq ($(ENABLE_SYNC_IP),0)
ifeq ($(findstring linux,$(TARGET)),linux)
  -include exe_sync_ip/project.mk
endif
endif



INSTALL ?= install -c
PREFIX ?= /usr
HDR_INSTALL_OPT = -m 0644

INCLUDE_DIR := include
HEADER_DIRS_TMP := $(sort $(dir $(wildcard $(INCLUDE_DIR)/*/)))
HEADER_DIRS := $(HEADER_DIRS_TMP:$(INCLUDE_DIR)/%=%)
INSTALL_HDR_PATH := ${PREFIX}/include

install_headers:
	@echo $(HEADER_DIRS)
	for dirname in $(HEADER_DIRS); do \
		$(INSTALL) -d "$(INCLUDE_DIR)/$$dirname" "$(INSTALL_HDR_PATH)/$$dirname"; \
		$(INSTALL) $(HDR_INSTALL_OPT) "$(INCLUDE_DIR)/$$dirname"/*.h "$(INSTALL_HDR_PATH)/$$dirname"; \
	done; \
	$(INSTALL) $(HDR_INSTALL_OPT) "$(INCLUDE_DIR)"/*.h "$(INSTALL_HDR_PATH)/";

pack_includes:
	@echo $(PACK_INCLUDES)

pack_defines:
	@echo $(PACK_DEFINES)

true_all: $(TARGETS)

.PHONY: true_all clean all

=== debian/changelog ===
xilinx-vcu-ctrl (2020.2-0ubuntu4) hirsute; urgency=medium

  * Correct the debian/watch file.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 13 Apr 2021 12:52:49 +0200

xilinx-vcu-ctrl (2020.2-0ubuntu3) hirsute; urgency=medium

  * Add watch file and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Apr 2021 11:09:48 +0200

xilinx-vcu-ctrl (2020.2-0ubuntu2) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 24 Mar 2021 15:15:08 +0100

xilinx-vcu-ctrl (2020.2-0ubuntu1) focal; urgency=medium

  * Base on xilinx-v2020.2 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 15 Dec 2020 13:54:04 +0100

xilinx-vcu-ctrl (2020.1-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:26:19 +0200

=== debian/control ===
Source: xilinx-vcu-ctrl
Section: multiverse/devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0

Package: xilinx-vcu-ctrl
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU Ctrl Software - command-line utilities
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU Control Software provides tools and libraries to leverage
 this hardware.
 .
 This package contains the command-line utilities.

Package: libxilinx-vcu0
Section: multiverse/libs
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU Ctrl Software - runtime libraries
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU Control Software provides tools and libraries to leverage
 this hardware.
 .
 This package contains the runtime libraries.

Package: libxilinx-vcu-dev
Section: multiverse/libdevel
Architecture: arm64 armel armhf
Depends: ${misc:Depends}
         libxilinx-vcu0 (= ${binary:Version})
Description: Xilinx VCU Ctrl Software - development files
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU Control Software provides tools and libraries to leverage
 this hardware.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# verbose build and disable git hash in library versions
	dh_auto_build -- V=1 CTRLSW_VER=

# workaround missing make install target
override_dh_auto_install:
	# utils
	install -d debian/tmp/usr/bin
	install -Dm 0755 bin/ctrlsw_encoder debian/tmp/usr/bin/ctrlsw_encoder
	install -Dm 0755 bin/ctrlsw_decoder debian/tmp/usr/bin/ctrlsw_decoder
	#install -Dm 0755 bin/AL_CfgParser.exe debian/tmp/usr/bin/ctrlsw_decoder

	# libraries
	install -d debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH)
	for f in bin/liballegro_*.so*; do \
	  cp -a $${f} debian/tmp/usr/lib/$(DEB_TARGET_MULTIARCH); \
	done
	#install -d debian/tmp/usr/include/vcu-ctrl-sw
	$(MAKE) install_headers INSTALL_HDR_PATH=debian/tmp/usr/include/vcu-ctrl-sw

## xilinx-vcu-ctrl 2022.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 CFLAGS+=-O3
 CFLAGS+=-g0
+
 SCM_REV:=-D'SCM_REV="$(shell git rev-parse HEAD 2> /dev/null || echo 0)"'
 SCM_BRANCH=-D'SCM_BRANCH="$(shell git rev-parse --abbrev-ref HEAD 2> /dev/null || echo unknown)"'
 
@@ -31,6 +32,7 @@
 
 TARGET:=$(shell $(CC) -dumpmachine)
 
+
 all: true_all
 
 # Basic build rules and external variables
@@ -41,12 +43,12 @@
 
 # Libraries
 -include lib_fpga/project.mk
-include lib_app/project.mk
 -include lib_cfg_parsing/project.mk
 -include lib_common/project.mk
 -include lib_rtos/project.mk
 -include lib_ip_ctrl/project.mk
 -include lib_perfs/project.mk
+-include lib_app/project.mk #lib_common and lib_perfs dependency
 
 
 BUILD_LIB_FBC=0
@@ -83,6 +85,7 @@
   -include lib_decode/project.mk
   include exe_decoder/project.mk
 endif
+
 
 
 ifneq ($(ENABLE_ENCODER),0)

=== debian/changelog ===
xilinx-vcu-ctrl (2022.1-0ubuntu0xlnx1) jammy; urgency=medium

  [ Hon Ming Hui ]
  * Update to Xilinx xilinx_v2022.1 tag

  [ Loïc Minier ]
  * Fix license header in copyright file.
  * Fix critical missing comma in dependencies.

 -- Hon Ming Hui <honming.hui@canonical.com>  Tue, 31 May 2022 17:43:09 +0800

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Package: libxilinx-vcu-dev
 Section: multiverse/libdevel
 Architecture: arm64 armel armhf
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
          libxilinx-vcu0 (= ${binary:Version})
 Description: Xilinx VCU Ctrl Software - development files
  Some Xilinx models include a hardware Video Codec Unit (VCU). The

=== debian/watch ===
version=4
opts="filenamemangle=s%.*xilinx_v?(\d.*)\.tar\.gz%xilinx-vcu-ctrl-$1.tar.gz%,oversionmangle=s%_%-%" \
    https://github.com/Xilinx/vcu-ctrl-sw/tags \
    .*xilinx_v?(\d.*)\.tar\.gz debian uupdate
